<?php

	include_once plugin_dir_path(__FILE__) . 'wact-visibility.php';

	if(!wact_check_visibility()) {
		return;
	}

	$wactPredefinedText = get_option('wact-predefined-text', '');
	$wactContactPhone = get_option('wact-contact-phone', '');
	$wactShowDevices = get_option('wact-show-devices', 'all-devices');
	$wactIconStyle = get_option('wact-icon-style', 'icon-style-1');
	$wactIconSize = get_option('wact-icon-size', '90');
	$wactIconPosition = get_option('wact-icon-position', 'bottom-right');
	$wactShowDelay = get_option('wact-show-delay', '0');
	$wactIconMarginSides = get_option('wact-icon-margin-sides', '15');
	$wactIconMarginBottom = get_option('wact-icon-margin-bottom', '15');
	$wactIconZindex = get_option('wact-icon-zindex', '999');
	$wactIconAnimation = get_option('wact-icon-animation', 'none');
	$wactPosition = $wactIconPosition == 'bottom-left' ? 'left: '.$wactIconMarginSides . 'px;' : 'right: '.$wactIconMarginSides . 'px;';
	$wactIcon = "<img src='".plugin_dir_url(__FILE__). "../resources/img/".$wactIconStyle.".svg' height='".$wactIconSize."px' width='".$wactIconSize."px'>";
	$wactDefaultDisplay = $wactShowDevices == 'all-devices' && $wactShowDelay == 0 ? 'block' : 'none';
	$wactUrl = 'https://api.whatsapp.com/send?phone='. urlencode($wactContactPhone) . '&text=' . $wactPredefinedText;
	$wactAnimationClass = '';

	if($wactIconAnimation != 'none' && $wactDefaultDisplay == 'block') {
		$wactAnimationClass = $wactIconAnimation;
	}

	$wactMarginBottom = $wactIconMarginBottom.'px';

	echo "<script type='text/javascript'>
			var wactShowDelay = $wactShowDelay * 1000;
			var wactShowDevices = '$wactShowDevices';
			var wactIconAnimation = '$wactIconAnimation';
		  </script>
		  <div id='wact-icon' class='$wactAnimationClass' style='display:$wactDefaultDisplay; position:fixed; bottom: $wactMarginBottom; $wactPosition z-index:$wactIconZindex'><a target='_blank' href='$wactUrl'>$wactIcon</a></div>
		  ";

	wp_enqueue_script( 'wactScripts', plugin_dir_url(__FILE__).'../resources/js/wactScripts.js', array(), null, true);